
Edit - bug #7767

Incorrect handling of secundum detail reference in formatter

09/17/2018 04:29 PM - Andreas Müller

Status: Closed Start date: 09/17/2018

Priority: Highest Due date:  

Assignee: Andreas Kohlbecker % Done: 100%

Category: cdmlib Estimated time: 0.00 hour

Target version: Release 5.4   

Severity: normal Found in Version:  

Description

The sec detail is formatted as TagEnum.secundum not TagEnum.secMicroRef. This results in strange behavior on data portal.

Related issues:

Duplicated by Edit - bug #7768: wrong tag type for secReference microcitation Duplicate 09/17/2018

Associated revisions

Revision 0ef1a15e - 09/17/2018 04:31 PM - Andreas Müller

fix #7767 fix wrong TagEnum for sec detail

Revision 79f9e857 - 09/17/2018 04:47 PM - Andreas Kohlbecker

ref #7767 checking all possible tag types for sec microreferences

History

#1 - 09/17/2018 04:32 PM - Andreas Müller

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|0ef1a15ed1a417160deec0b112f36a12de7363dc.

#2 - 09/17/2018 04:33 PM - Andreas Müller

- Duplicated by bug #7768: wrong tag type for secReference microcitation added

#3 - 09/17/2018 04:34 PM - Andreas Müller

- Assignee changed from Andreas Müller to Andreas Kohlbecker

#5 - 10/22/2018 05:18 PM - Andreas Kohlbecker

- Status changed from Resolved to In Progress

- Priority changed from New to Highest

- Target version changed from Release 5.4 to Release 5.5

TODO: remove workaround applied with cdm-dataportal|79f9e857 

#6 - 12/17/2018 01:51 PM - Andreas Kohlbecker

- Tags changed from caryophyllales to caryophyllales, formatter

#7 - 12/17/2018 01:53 PM - Andreas Kohlbecker

- Tags changed from caryophyllales, formatter to caryophyllales, formatting
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/revisions/0ef1a15ed1a417160deec0b112f36a12de7363dc
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/79f9e8572951afe34a0ae93326ed97e5451b35e4


#8 - 01/30/2019 12:50 PM - Andreas Kohlbecker

- Status changed from In Progress to Closed

- Target version changed from Release 5.5 to Release 5.4

- % Done changed from 50 to 100

No need to remove the workaround applied with cdm-dataportal|79f9e857 since it was only applied to the hotfix/5.3.1 which was not completely

merged into the develop branch: so this commit never made it to the develop branch.

Ticket can be closed.

Powered by TCPDF (www.tcpdf.org)

11/27/2021 2/2

http://www.tcpdf.org

